=== modified file 'NEWS'
--- NEWS	2005-04-04 13:10:26 +0000
+++ NEWS	2005-04-04 13:51:31 +0000
@@ -1,9 +1,5 @@
 bzr-0.0.3  NOT RELEASED YET
 
-  INTERNAL:
-
-    * Refactored inventory storage to insert a root entry at the top.
-
   ENHANCEMENTS:
 
     * New "directories" internal command lists versioned directories
@@ -17,12 +13,21 @@
 
     * New "renames" command lists files renamed since base revision.
 
+  CHANGES:
+
+    * .bzr.log is placed in $HOME, not pwd.  (Probably not a
+      completely good long-term solution, but will do for now.)
+
   PORTABILITY:
 
     * Workaround for difflib bug in Python 2.3 that causes an
       exception when comparing empty files.  Reported by Erik Toubro
       Nielsen.
 
+  INTERNAL:
+
+    * Refactored inventory storage to insert a root entry at the top.
+
 
 bzr-0.0.2.1
 

=== modified file 'bzrlib/trace.py'
--- bzrlib/trace.py	2005-04-01 08:27:01 +0000
+++ bzrlib/trace.py	2005-04-04 13:51:31 +0000
@@ -85,7 +85,9 @@
 
     _starttime = os.times()[4]
 
-    _tracefile = file('.bzr.log', 'at')
+    # XXX: Is HOME always set on Windows?
+    trace_fname = os.path.join(os.environ['HOME'], '.bzr.log')
+    _tracefile = file(trace_fname, 'at')
     t = _tracefile
 
     if os.fstat(t.fileno())[stat.ST_SIZE] == 0:
@@ -102,8 +104,8 @@
     t.write('  version: %s\n' % bzrlib.__version__)
     t.write('  by %s on %s\n' % (bzrlib.osutils.username(), socket.getfqdn()))
     t.write('  arguments: %r\n' % argv)
+    t.write('  working dir: %s\n' % os.getcwdu())
 
-    # This causes a vfork; I don't care enough about it.
     t.write('  platform: %s\n' % sys.platform)
     t.write('  python: %s\n' % (sys.version_info,))
 

